import 'dart:async';
import 'dart:io';
import './screens/home.dart';
import 'package:flutter/material.dart';
import 'package:url_launcher/url_launcher.dart';

final Uri _url = Uri.parse('https://appsrobo.com/');
void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Guess',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: const SplashScreen(),
    );
  }
}

class SplashScreen extends StatefulWidget {
  final Color backgroundColor = Colors.white;
  final TextStyle styleTextUnderTheLoader = const TextStyle(
      fontSize: 18.0, fontWeight: FontWeight.bold, color: Colors.black);

  const SplashScreen({Key? key}) : super(key: key);

  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  final String _versionName = 'V2.0';
  final splashDelay = 3;

  @override
  void initState() {
    super.initState();
    _loadWidget();
  }

  _loadWidget() async {
    var _duration = Duration(seconds: splashDelay);
    return Timer(
        _duration,
        () => Navigator.pushReplacement(
            context, MaterialPageRoute(builder: (context) => const Home())));
  }

  @override
  void dispose() {
    //  _controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: InkWell(
        child: Stack(
          fit: StackFit.expand,
          children: <Widget>[
            Column(
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Expanded(
                  flex: 4,
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      Image.asset(
                        'images/appsrobo2019_5_20.png',
                        height: 200,
                        width: 200,
                      ),
                      const Padding(
                        padding: EdgeInsets.only(top: 10.0),
                      ),
                      const Text(
                        'Appsrobo.com Company \n',
                        style: TextStyle(
                            fontSize: 20.0, fontWeight: FontWeight.bold),
                      ),
                      const Padding(
                        padding: EdgeInsets.all(5.0),
                      ),
                      Container(
                        margin: const EdgeInsets.only(left: 20.0, right: 20.0),
                        child: const Text(
                          'Address: 19 El emdad wel tamween in front of City Stars buildings, Nasr City, Cairo Governorate, Egypt\nPostal code: 11771\n1st floor, Apt.#4\nTel.: 0020 23052926\nMob.: 01225591227 \n \n Email: info@appsrobo.com\nWebsite: http://www.appsrobo.com',
                          style: TextStyle(
                              fontSize: 12.0, fontWeight: FontWeight.bold),
                        ),
                      ),
                    ],
                  ),
                ),
                Expanded(
                    child: Column(children: <Widget>[
                  const CircularProgressIndicator(),
                  Container(
                    height: 10,
                  ),
                  Padding(
                    padding: const EdgeInsets.all(2.0),
                    child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceAround,
                        children: <Widget>[
                          const Spacer(),
                          Text(
                            _versionName,
                            style: const TextStyle(
                                fontSize: 18.0, fontWeight: FontWeight.bold),
                          ),
                          const Spacer(
                            flex: 3,
                          ),
                          const Text(
                            'Guess',
                            style: TextStyle(
                                fontSize: 18.0, fontWeight: FontWeight.bold),
                          ),
                          const Spacer(),
                        ]),
                  ),
                ])),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
// new splash screen

class SplashScreen2 extends StatefulWidget {
  final Color backgroundColor = Colors.white;
  final TextStyle styleTextUnderTheLoader = const TextStyle(
      fontSize: 18.0, fontWeight: FontWeight.bold, color: Colors.black);

  const SplashScreen2({Key? key}) : super(key: key);

  @override
  _SplashScreen2State createState() => _SplashScreen2State();
}

class _SplashScreen2State extends State<SplashScreen2> {
  final String _versionName = 'V2.0';
  //final splashDelay = 3;

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    //  _controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: const Color(0xFF303F9F),
        automaticallyImplyLeading: false,
        title: const Text('Guess'),
        actions: <Widget>[
          PopupMenuButton(itemBuilder: (BuildContext context) {
            return [
              const PopupMenuItem(child: Text('Guess'), value: 0),
              const PopupMenuItem(child: Text('Visit us'), value: 1),
              const PopupMenuItem(child: Text('About us'), value: 2),
              const PopupMenuItem(child: Text('Exit'), value: 3)
            ];
          }, onSelected: (newValue) {
            if (newValue == 3) {
              exit(0);
            }
            if (newValue == 2) {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => const SplashScreen2()),
              );
            }
            if (newValue == 1) {
              _launchUrl();
            }
            if (newValue == 0) {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) => const Home()),
              );
            }
          })
        ],
      ),
      body: InkWell(
        child: Stack(
          fit: StackFit.expand,
          children: <Widget>[
            Column(
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Expanded(
                  flex: 4,
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      Image.asset(
                        'images/appsrobo2019_5_20.png',
                        height: 200,
                        width: 200,
                      ),
                      const Padding(
                        padding: EdgeInsets.only(top: 10.0),
                      ),
                      const Text(
                        'Appsrobo.com Company \n',
                        style: TextStyle(
                            fontSize: 20.0, fontWeight: FontWeight.bold),
                      ),
                      const Padding(
                        padding: EdgeInsets.all(5.0),
                      ),
                      Container(
                        margin: const EdgeInsets.only(left: 20.0, right: 20.0),
                        child: const Text(
                          'Address: 19 El emdad wel tamween in front of City Stars buildings, Nasr City, Cairo Governorate, Egypt\nPostal code: 11771\n1st floor, Apt.#4\nTel.: 0020 23052926\nMob.: 01225591227 \n \n Email: info@appsrobo.com\nWebsite: http://www.appsrobo.com',
                          style: TextStyle(
                              fontSize: 16.0, fontWeight: FontWeight.bold),
                        ),
                      ),
                    ],
                  ),
                ),
                Expanded(
                    child: Column(children: <Widget>[
                  //const CircularProgressIndicator(),
                  Container(
                    height: 10,
                  ),
                  Padding(
                    padding: const EdgeInsets.all(2.0),
                    child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceAround,
                        children: <Widget>[
                          const Spacer(),
                          Text(
                            _versionName,
                            style: const TextStyle(
                                fontSize: 18.0, fontWeight: FontWeight.bold),
                          ),
                          const Spacer(
                            flex: 3,
                          ),
                          const Text(
                            'Guess',
                            style: TextStyle(
                                fontSize: 18.0, fontWeight: FontWeight.bold),
                          ),
                          const Spacer(),
                        ]),
                  ),
                ])),
              ],
            ),
          ],
        ),
      ),
    );
  }
}

void _launchUrl() async {
  if (!await launchUrl(_url)) throw 'Could not launch $_url';
}
