import 'dart:io';

import 'package:flutter/material.dart';
import 'package:guess/main.dart';
import 'package:guess/screens/page1.dart';
import 'package:url_launcher/url_launcher.dart';

final Uri _url = Uri.parse('https://appsrobo.com/');

class Home extends StatefulWidget {
  const Home({Key? key}) : super(key: key);

  @override
  HomeState createState() => HomeState();
}

class HomeState extends State<Home> {
  final productListKey = GlobalKey<HomeState>();

  @override
  void initState() {
    super.initState();
  }

// //, headers: {
//       "Accept": "application/json",
//       "Access-Control_Allow_Origin": "*"
//     }

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      onWillPop: () => Future.value(false),
      child: Scaffold(
        appBar: AppBar(
          backgroundColor: const Color(0xFF303F9F),
          automaticallyImplyLeading: false,
          title: const Text('Guess'),
          actions: <Widget>[
            PopupMenuButton(itemBuilder: (BuildContext context) {
              return [
                const PopupMenuItem(child: Text('Guess'), value: 0),
                const PopupMenuItem(child: Text('Visit us'), value: 1),
                const PopupMenuItem(child: Text('About us'), value: 2),
                const PopupMenuItem(child: Text('Exit'), value: 3)
              ];
            }, onSelected: (newValue) {
              if (newValue == 3) {
                exit(0);
              }
              if (newValue == 2) {
                Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => const SplashScreen2()),
                );
              }
              if (newValue == 1) {
                _launchUrl();
              }
              if (newValue == 0) {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => const Home()),
                );
              }
            })
          ],
        ),
        body: Column(
          children: [
            const Padding(
              padding: EdgeInsets.all(16.0),
              child: Text(
                ' ',
                style: TextStyle(fontSize: 18.0, fontWeight: FontWeight.bold),
              ),
            ),
            const Expanded(
              child: FittedBox(
                fit: BoxFit.contain, // otherwise the logo will be tiny

                child: Padding(
                  padding: EdgeInsets.all(12.0),
                  child: Image(image: AssetImage('images/colors01.png')),
                ),
                //),
                //Image.asset("images/j01.png"),
              ),
            ),
            Padding(
              padding: const EdgeInsets.only(bottom: 12.0),
              child: Row(
                children: [
                  const Padding(
                    padding: EdgeInsets.only(left: 12.0),
                    child: Text(
                      'Choose color or number, then press here',
                      style: TextStyle(fontSize: 16.0),
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.only(left: 12.0),
                    child: FittedBox(
                      fit: BoxFit.fill, // otherwise the logo will be tiny
                      child: GestureDetector(
                        onTap: () {
                          Navigator.push(
                            context,
                            MaterialPageRoute(
                                builder: (context) => const Page1()),
                          );
                          // Navigator.pushReplacement(context,
                          //   MaterialPageRoute(builder: (context) => const Page1()));
                        },
                        child: const Image(
                          image: AssetImage('images/rightarrow.png'),
                          width: 40.0,
                          height: 40.0,
                        ),
                      ),
                      //Image.asset("images/j01.png"),
                    ),
                  ),
                ],
              ),
            ),
            const SizedBox(
              width: double.infinity,
              height: 55.0,
              child: DecoratedBox(
                decoration: BoxDecoration(),
              ),
            ),
          ],
        ),
      ),
    );
  }
}

void _launchUrl() async {
  if (!await launchUrl(_url)) throw 'Could not launch $_url';
}
