import 'dart:io';

import 'package:flutter/material.dart';
import 'package:guess/screens/page3.dart';
import 'package:url_launcher/url_launcher.dart';

import '../main.dart';
import 'home.dart';

final Uri _url = Uri.parse('https://appsrobo.com/');

class Page2 extends StatefulWidget {
  final int xvalue;
  const Page2({Key? key, required this.xvalue}) : super(key: key);

  @override
  Page2State createState() => Page2State();
}

class Page2State extends State<Page2> {
  final productListKey = GlobalKey<Page2State>();

  late bool isVisible;
  late int _xvalue;

  @override
  void initState() {
    isVisible = false;
    _xvalue = -1;
    super.initState();
  }

// //, headers: {
//       "Accept": "application/json",
//       "Access-Control_Allow_Origin": "*"
//     }
  void xchanged() {
    setState(() {
      if (!isVisible) {
        isVisible = true;
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    //print(widget.xvalue);
    return WillPopScope(
      onWillPop: () => Future.value(false),
      child: Scaffold(
        appBar: AppBar(
          backgroundColor: const Color(0xFF303F9F),
          automaticallyImplyLeading: false,
          title: const Text('Guess'),
          actions: <Widget>[
            PopupMenuButton(itemBuilder: (BuildContext context) {
              return [
                const PopupMenuItem(child: Text('Guess'), value: 0),
                const PopupMenuItem(child: Text('Visit us'), value: 1),
                const PopupMenuItem(child: Text('About us'), value: 2),
                const PopupMenuItem(child: Text('Exit'), value: 3)
              ];
            }, onSelected: (newValue) {
              if (newValue == 3) {
                exit(0);
              }
              if (newValue == 2) {
                Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => const SplashScreen2()),
                );
              }
              if (newValue == 1) {
                _launchUrl();
              }
              if (newValue == 0) {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => const Home()),
                );
              }
            })
          ],
        ),
        body: Column(
          children: [
            const Padding(
              padding: EdgeInsets.all(16.0),
              child: Text(
                'Slide 2 of 5',
                style: TextStyle(fontSize: 18.0, fontWeight: FontWeight.bold),
              ),
            ),
            const Expanded(
              child: FittedBox(
                alignment: Alignment.topCenter,
                fit: BoxFit.contain, // otherwise the logo will be tiny

                child: Padding(
                  padding: EdgeInsets.all(12.0),
                  child: Image(image: AssetImage('images/slide2.png')),
                ),

                //Image.asset("images/j01.png"),
              ),
            ),
            Padding(
              padding: const EdgeInsets.only(bottom: 12.0),
              child: Row(
                children: [
                  Column(
                    children: [
                      const Padding(
                        padding: EdgeInsets.only(left: 12.0),
                        child: Text(
                          'Is your color or number here?',
                          style: TextStyle(fontSize: 16.0),
                        ),
                      ),
                      Row(
                        //mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                        children: [
                          Row(
                            children: [
                              Radio(
                                value: 2,
                                groupValue: _xvalue,
                                activeColor: const Color(0xFF6200EE),
                                onChanged: (xvalue) {
                                  setState(() {
                                    isVisible = true;
                                    _xvalue = (xvalue as int?)!;
                                    //print(_xvalue);
                                  });
                                },
                              ),
                              const Padding(
                                padding: EdgeInsets.only(left: 2.0),
                                child: Text(
                                  'Yes',
                                  style: TextStyle(fontSize: 16.0),
                                ),
                              ),
                            ],
                          ),
                          const SizedBox(
                            width: 30.0,
                          ),
                          Row(
                            children: [
                              Radio(
                                value: 0,
                                groupValue: _xvalue,
                                activeColor: const Color(0xFF6200EE),
                                onChanged: (xvalue) {
                                  setState(() {
                                    isVisible = true;
                                    _xvalue = (xvalue as int?)!;
                                    //print(_xvalue);
                                  });
                                },
                              ),
                              const Padding(
                                padding: EdgeInsets.only(left: 2.0),
                                child: Text(
                                  'No',
                                  style: TextStyle(fontSize: 16.0),
                                ),
                              ),
                            ],
                          ),
                        ],
                      ),
                    ],
                  ),

                  //right arrow
                  Padding(
                    padding: const EdgeInsets.only(left: 12.0),
                    child: FittedBox(
                      fit: BoxFit.contain, // otherwise the logo will be tiny
                      child: Opacity(
                        opacity: isVisible ? 1.0 : 0.0,
                        child: GestureDetector(
                          onTap: () {
                            if (isVisible) {
                              Navigator.push(
                                context,
                                MaterialPageRoute(
                                    builder: (context) => Page3(
                                          xvalue: (_xvalue + widget.xvalue),
                                        )),
                              );
                            }
                          },
                          child: const Image(
                            image: AssetImage('images/rightarrow.png'),
                            width: 40.0,
                            height: 40.0,
                          ),
                        ),
                      ),
                      //Image.asset("images/j01.png"),
                    ),
                  ),
                ],
              ),
            ),
            const SizedBox(
              width: double.infinity,
              height: 55.0,
              child: DecoratedBox(
                decoration: BoxDecoration(),
              ),
            ),
          ],
        ),
      ),
    );
  }
}

void _launchUrl() async {
  if (!await launchUrl(_url)) throw 'Could not launch $_url';
}
