import 'dart:io';

import 'package:flutter/material.dart';

import 'home.dart';
import 'package:url_launcher/url_launcher.dart';

import '../main.dart';

final Uri _url = Uri.parse('https://appsrobo.com/');

class Result extends StatefulWidget {
  final int xvalue;
  const Result({Key? key, required this.xvalue}) : super(key: key);

  @override
  ResultState createState() => ResultState();
}

class ResultState extends State<Result> {
  final productListKey = GlobalKey<ResultState>();

  late bool isVisible;
  late int _xvalue;

  @override
  void initState() {
    isVisible = false;
    _xvalue = -1;
    super.initState();
  }

// //, headers: {
//       "Accept": "application/json",
//       "Access-Control_Allow_Origin": "*"
//     }
  void xchanged() {
    setState(() {
      if (!isVisible) {
        isVisible = true;
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    String temp2;
    String temp = widget.xvalue.toString();

    temp2 = 'images/j' + temp + '.png';
    return WillPopScope(
      onWillPop: () => Future.value(false),
      child: Scaffold(
        appBar: AppBar(
          backgroundColor: const Color(0xFF303F9F),
          automaticallyImplyLeading: false,
          title: const Text('Guess'),
          actions: <Widget>[
            PopupMenuButton(itemBuilder: (BuildContext context) {
              return [
                const PopupMenuItem(child: Text('Guess'), value: 0),
                const PopupMenuItem(child: Text('Visit us'), value: 1),
                const PopupMenuItem(child: Text('About us'), value: 2),
                const PopupMenuItem(child: Text('Exit'), value: 3)
              ];
            }, onSelected: (newValue) {
              if (newValue == 3) {
                exit(0);
              }
              if (newValue == 2) {
                Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => const SplashScreen2()),
                );
              }
              if (newValue == 1) {
                _launchUrl();
              }
              if (newValue == 0) {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => const Home()),
                );
              }
            })
          ],
        ),
        body: Column(
          children: [
            const Padding(
              padding: EdgeInsets.all(16.0),
              child: Text(
                'The result',
                style: TextStyle(fontSize: 18.0, fontWeight: FontWeight.bold),
              ),
            ),
            Expanded(
              child: FittedBox(
                alignment: Alignment.topCenter,
                fit: BoxFit.contain, // otherwise the logo will be tiny

                // child: Padding(
                //  padding: const EdgeInsets.all(12.0),
                //  child: Text(widget.xvalue.toString()),
                //),

                //Image.asset("images/j01.png"),

                child: Padding(
                  padding: const EdgeInsets.all(12.0),
                  child: Image(
                    image: AssetImage(temp2),
                    width: 10.0,
                    height: 10.0,
                  ),
                ),
              ),
            ),
            Padding(
              padding: const EdgeInsets.only(bottom: 12.0),
              child: Row(
                children: [
                  Column(
                    children: [
                      const Padding(
                        padding: EdgeInsets.only(left: 12.0),
                        child: Text(
                          'Play again? or exit?',
                          style: TextStyle(fontSize: 16.0),
                        ),
                      ),
                      Row(
                        //mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                        children: [
                          Row(
                            children: [
                              Radio(
                                value: 5,
                                groupValue: _xvalue,
                                activeColor: const Color(0xFF6200EE),
                                onChanged: (xvalue) {
                                  Navigator.push(
                                    context,
                                    MaterialPageRoute(
                                        builder: (context) => const Home()),
                                  );
                                },
                              ),
                              const Padding(
                                padding: EdgeInsets.only(left: 2.0),
                                child: Text(
                                  'Yes, play',
                                  style: TextStyle(fontSize: 16.0),
                                ),
                              ),
                            ],
                          ),
                          const SizedBox(
                            width: 30.0,
                          ),
                          Row(
                            children: [
                              Radio(
                                value: 0,
                                groupValue: _xvalue,
                                activeColor: const Color(0xFF6200EE),
                                onChanged: (xvalue) {
                                  exit(0);
                                },
                              ),
                              const Padding(
                                padding: EdgeInsets.only(left: 2.0),
                                child: Text(
                                  'No, exit',
                                  style: TextStyle(fontSize: 16.0),
                                ),
                              ),
                            ],
                          ),
                        ],
                      ),
                    ],
                  ),
//()=> exit(0),
                  //right arrow
                  Padding(
                    padding: const EdgeInsets.only(left: 12.0),
                    child: FittedBox(
                      fit: BoxFit.contain, // otherwise the logo will be tiny
                      child: Opacity(
                        opacity: isVisible ? 1.0 : 0.0,
                        child: GestureDetector(
                          onTap: () {
                            if (isVisible) {
                              Navigator.push(
                                context,
                                MaterialPageRoute(
                                    builder: (context) => Result(
                                          xvalue: (_xvalue + widget.xvalue),
                                        )),
                              );
                            }
                          },
                          child: const Image(
                            image: AssetImage('images/rightarrow.png'),
                            width: 40.0,
                            height: 40.0,
                          ),
                        ),
                      ),
                      //Image.asset("images/j01.png"),
                    ),
                  ),
                ],
              ),
            ),
            const SizedBox(
              width: double.infinity,
              height: 55.0,
              child: DecoratedBox(
                decoration: BoxDecoration(),
              ),
            ),
          ],
        ),
      ),
    );
  }
}

void _launchUrl() async {
  if (!await launchUrl(_url)) throw 'Could not launch $_url';
}
